import type { PackageDependency } from '../../../types';
import { TerraformProviderExtractor } from '../../base';
import type { ProviderLock } from '../../lockfile/types';
export declare class RequiredProviderExtractor extends TerraformProviderExtractor {
    getCheckList(): string[];
    extract(hclRoot: any, locks: ProviderLock[]): PackageDependency[];
}
